workflows
Create Workflow
Create a new workflow for agent conversation flow.
POST
/
workflows
Create Workflow
curl --request POST \
--url https://api.example.com/workflows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"nodes": [
{
"id": "<string>",
"type": "<string>",
"name": "<string>",
"isStart": false,
"metadata": {},
"prompt": "<string>",
"messagePlan": {
"firstMessage": "<string>",
"idleMessages": [
"<string>"
],
"idleMessageMaxSpokenCount": 123
},
"variableExtractionPlan": {
"output": [
{
"title": "<string>",
"type": "string",
"enum": [
"<string>"
],
"description": "<string>"
}
]
},
"globalNodePlan": {
"enabled": true,
"enterCondition": "<string>"
},
"tool": {
"type": "<string>",
"tool_key": "<string>",
"function": {},
"messages": [
{}
],
"destinations": [
"<string>"
],
"parameters": {}
},
"tool_instances": [
{
"instance_name": "<string>",
"parameters": {}
}
],
"config": {}
}
],
"edges": [
{
"from": "<string>",
"to": "<string>",
"condition": "always"
}
],
"description": "<string>",
"global_nodes": [
"<string>"
],
"globalPrompt": "<string>"
}
'import requests
url = "https://api.example.com/workflows"
payload = {
"name": "<string>",
"nodes": [
{
"id": "<string>",
"type": "<string>",
"name": "<string>",
"isStart": False,
"metadata": {},
"prompt": "<string>",
"messagePlan": {
"firstMessage": "<string>",
"idleMessages": ["<string>"],
"idleMessageMaxSpokenCount": 123
},
"variableExtractionPlan": { "output": [
{
"title": "<string>",
"type": "string",
"enum": ["<string>"],
"description": "<string>"
}
] },
"globalNodePlan": {
"enabled": True,
"enterCondition": "<string>"
},
"tool": {
"type": "<string>",
"tool_key": "<string>",
"function": {},
"messages": [{}],
"destinations": ["<string>"],
"parameters": {}
},
"tool_instances": [
{
"instance_name": "<string>",
"parameters": {}
}
],
"config": {}
}
],
"edges": [
{
"from": "<string>",
"to": "<string>",
"condition": "always"
}
],
"description": "<string>",
"global_nodes": ["<string>"],
"globalPrompt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
nodes: [
{
id: '<string>',
type: '<string>',
name: '<string>',
isStart: false,
metadata: {},
prompt: '<string>',
messagePlan: {
firstMessage: '<string>',
idleMessages: ['<string>'],
idleMessageMaxSpokenCount: 123
},
variableExtractionPlan: {
output: [
{title: '<string>', type: 'string', enum: ['<string>'], description: '<string>'}
]
},
globalNodePlan: {enabled: true, enterCondition: '<string>'},
tool: {
type: '<string>',
tool_key: '<string>',
function: {},
messages: [{}],
destinations: ['<string>'],
parameters: {}
},
tool_instances: [{instance_name: '<string>', parameters: {}}],
config: {}
}
],
edges: [{from: '<string>', to: '<string>', condition: 'always'}],
description: '<string>',
global_nodes: ['<string>'],
globalPrompt: '<string>'
})
};
fetch('https://api.example.com/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"nodes": [
{}
],
"edges": [
{}
],
"status": "<string>",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"global_nodes": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Workflow response model.
⌘I
Create Workflow
